export default function instanceMetadata(el){

  el.innerHTML = `
    <h3>Instance Metadata</h3>
    <input type="button" class="btnGetMetadata" value="Get Instance Metadata" />
    <div class="result"></div>
  `;

  const btnGetMetadata = el.querySelector(".btnGetMetadata")
  const divResult = el.querySelector(".result");

  btnGetMetadata.addEventListener("click", async () => {
    axios.get("/instance-metadata/get-metadata")
      .then(res => divResult.textContent = res.data)
      .catch(err => divResult.textContent = err.message);
  });


}