window.addEventListener("load", () => {

  const menu = document.querySelector("#menu");
  const menuButton = document.querySelector("#menu-button");

  menuButton.addEventListener("click", () => {
      // toggle the 'open' class on the menu
      if(menu.classList.contains("open")){
          menu.classList.remove("open");
      }else{
          menu.classList.add("open");
      }
  });

  // close the menu if anything (other than the menu button) is clicked
  window.addEventListener("click", (evt)=>{
    if(!evt.target.closest("#menu-button")){
      menu.classList.remove("open");
    }
  });

})